Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.template
Class InsertDefinitionModel

    java.lang.Object
      org.apache.tiles.template.InsertDefinitionModel

    public class InsertDefinitionModel

extends java.lang.Object

Insert a definition.

Insert a definition with the possibility to override and specify parameters (called attributes). A definition can be seen as a (partially or totally) filled template that can override or complete attribute values. `<tiles:insertDefinition>` allows to define these attributes and pass them to the inserted jsp page, called template. Attributes are defined using nested tag `<tiles:putAttribute>` or `<tiles:putListAttribute>`.

You must specify `name` tag attribute, for inserting a definition from definitions factory.

Example :

     <code>
               <tiles:insertDefinition name=".my.tiles.defininition flush="true">
                  <tiles:putAttribute name="title" value="My first page" />
                  <tiles:putAttribute name="header" value="/common/header.jsp" />
                  <tiles:putAttribute name="footer" value="/common/footer.jsp" />
                  <tiles:putAttribute name="menu" value="/basic/menu.jsp" />
                  <tiles:putAttribute name="body" value="/basic/helloBody.jsp" />
               </tiles:insertDefinition>
             </code>

Since:
  2.2.0
Version:
  $Rev: 880940 $ $Date: 2009-11-16 21:11:22 +0100 (lun, 16 nov 2009) $

Constructor Summary
`InsertDefinitionModel()`

Method Summary
`void` | `end(TilesContainer container, java.lang.String definitionName, java.lang.String template, java.lang.String templateType, java.lang.String templateExpression, java.lang.String role, java.lang.String preparer, java.lang.Object... requestItems)` Ends the operation.
`void` | `execute(TilesContainer container, java.lang.String definitionName, java.lang.String template, java.lang.String templateType, java.lang.String templateExpression, java.lang.String role, java.lang.String preparer, java.lang.Object... requestItems)` Executes the operation.
`void` | `start(TilesContainer container, java.lang.Object... requestItems)` Starts the operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsertDefinitionModel

    public InsertDefinitionModel()

Method Detail

### start

    public void start(TilesContainer container,
                      java.lang.Object... requestItems)

  Starts the operation.

  Parameters:
    `container` - The Tiles container.
    `requestItems` - The request objects.
  Since:
    2.2.0

### end

    public void end(TilesContainer container,
                    java.lang.String definitionName,
                    java.lang.String template,
                    java.lang.String templateType,
                    java.lang.String templateExpression,
                    java.lang.String role,
                    java.lang.String preparer,
                    java.lang.Object... requestItems)

  Ends the operation.

  Parameters:
    `container` - The Tiles container.
    `definitionName` - The name of the definition to render.
    `template` - If specified, this template will be used instead of the one used by the definition.
    `templateType` - The type of the template attribute.
    `templateExpression` - The expression to evaluate to get the value of the template.
    `role` - A comma-separated list of roles. If present, the definition will be rendered only if the current user belongs to one of the roles.
    `preparer` - The preparer to use to invoke before the definition is rendered. If specified, it overrides the preparer specified in the definition itself.
    `requestItems` - The request objects.
  Since:
    2.2.0

### execute

    public void execute(TilesContainer container,
                        java.lang.String definitionName,
                        java.lang.String template,
                        java.lang.String templateType,
                        java.lang.String templateExpression,
                        java.lang.String role,
                        java.lang.String preparer,
                        java.lang.Object... requestItems)

  Executes the operation.

  Parameters:
    `container` - The Tiles container.
    `definitionName` - The name of the definition to render.
    `template` - If specified, this template will be used instead of the one used by the definition.
    `templateType` - The type of the template attribute.
    `templateExpression` - The expression to evaluate to get the value of the template.
    `role` - A comma-separated list of roles. If present, the definition will be rendered only if the current user belongs to one of the roles.
    `preparer` - The preparer to use to invoke before the definition is rendered. If specified, it overrides the preparer specified in the definition itself.
    `requestItems` - The request objects.
  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.